# vitalsStruct Struct Reference

`#include <vitals.h>`

## Data Fields

uInt32 | openFiles
uInt32 | sysTicks
uInt32 | sysUptime
uInt32 | freePages
fileSystem * | fileSystems
mountPoints * | mountPoints
uInt32 | timeStart
void * | screen
void * | font
char * | packet
uInt32 | packetLength

## Field Documentation

struct fileSystem* vitalsStruct::fileSystems

void* vitalsStruct::font

uInt32 vitalsStruct::freePages

struct mountPoints* vitalsStruct::mountPoints

uInt32 vitalsStruct::openFiles

char* vitalsStruct::packet

uInt32 vitalsStruct::packetLength

void* vitalsStruct::screen

uInt32 vitalsStruct::sysTicks

uInt32 vitalsStruct::sysUptime

uInt32 vitalsStruct::timeStart

The documentation for this struct was generated from the following file:

- vitals.h